%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           redhat-certification-commons
Version:        1.0
Release:        1%{?dist}
Summary:        Common tests for Red Hat Certification

Group:          Applications/System
License:        GPLv2
URL:            http://www.redhat.com/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       redhat-certification
Requires:       openscap-utils
Requires:       sos >= 3.2
Provides:       redhat-certification-sosreport
Obsoletes:      redhat-certification-sosreport

%description
Common tests for Red Hat Certification

%prep
%setup -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
> $RPM_BUILD_ROOT%{python_sitelib}/rhcert/suites/sosreport/__init__.py
> $RPM_BUILD_ROOT%{python_sitelib}/rhcert/suites/security/__init__.py


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/rhcert/suites/sosreport
%{python_sitelib}/rhcert/suites/security
%exclude %{python_sitelib}/rhcert/__init__.py*
%exclude %{python_sitelib}/rhcert/suites/__init__.py*
%exclude %{python_sitelib}/rhcert/suites/sosreport/example.py*
%exclude %{python_sitelib}/rhcert/suites/security/example.py*
%{python_sitelib}/redhat_certification_commons*egg-info
%{_datadir}/xml/%{name}/*

%changelog
* Fri Aug 21 2015 Shreyank Gupta <sgupta@redhat.com> 1.0-1
- Initial release.
